.global-btn{
    position: relative;
    overflow: hidden;
    z-index: 1;
}
.global-btn:after {
    z-index: -1;
    content: "";
    position: absolute;
    width: 150%;
    height: 0;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    transition: all .75s;
    opacity: 0.5;
}
.global-btn:hover:after {
    height: 120%;
    opacity: 1;
}